<?php

namespace App\Http\Controllers\Api;

use App\Exports\ReportExport;
use App\Http\Controllers\Controller;
use App\Http\Requests\BroadcastCampaignReportRequest;
use App\Models\BroadcastCampaignContact;

class BroadcastCampaignReportController extends Controller
{
    public function __invoke(BroadcastCampaignReportRequest $request)
    {
        $validatedData = $request->validated();

        $collection = BroadcastCampaignContact::where('broadcast_campaign_id', $validatedData['campaign_id'])->get();

        $collection = [
            'pending' => $collection->where('status', 'pending')->count(),
            'queued' => $collection->where('status', 'queued')->count(),
            'failed' => $collection->where('status', 'failed')->count(),
            'finished' => $collection->where('status', 'finished')->count(),
        ];

        if (isset($validatedData['format'])) {
            return ReportExport::export(
                $collection, 'broadcast_campaign_summary', $validatedData['format']
            );
        }

        return ['data' => $collection];
    }
}
