<?php

namespace App\Http\Controllers\Api;

use App\Exports\ReportExport;
use App\Http\Controllers\Controller;
use App\Http\Requests\BroadcastCampaignReportRequest;
use App\Models\BroadcastCampaignContact;

class BroadcastCampaignReportDetailController extends Controller
{
    public function __invoke(BroadcastCampaignReportRequest $request)
    {
        $validatedData = $request->validated();

        $collection = BroadcastCampaignContact::with('contact')
            ->where('broadcast_campaign_id', $validatedData['campaign_id'])
            ->orderBy('called_at', 'desc');

        if (isset($validatedData['format'])) {
            return ReportExport::export(
                $collection->get(), 'broadcast_campaign_detail', $validatedData['format']
            );
        }

        return $collection->paginate();
    }
}
