<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Utils\{TenantUtils, VitalPBXApiUtils};
use Illuminate\Http\Request;

class DestinationController extends Controller
{
    public function index(Request $request)
    {
        $destinations = VitalPBXApiUtils::request('destinations', TenantUtils::getTenantId($request));
        if ($destinations['data']) {
            // filter destinations (by module name) to only return "IVR", "Announcements", "Custom Destinations"
            $destinations['data'] = array_values(array_filter($destinations['data'], (function ($destination) {
                return in_array(strtolower($destination['module']), ['ivr', 'announcements', 'custom destinations'], true);
            })));
            usort($destinations['data'], fn($a, $b) => strcmp($a['module'], $b['module']));
        }
        return $destinations;
    }

    public function show(Request $request, $id)
    {
        return VitalPBXApiUtils::request("destinations/{$id}", TenantUtils::getTenantId($request), 'GET', null, null, 30);
    }
}
