<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Utils\{TenantUtils, VitalPBXApiUtils};
use Illuminate\Http\Request;

class DevicesController extends Controller
{
    public function __construct()
    {
        $this->middleware(function ($request, $next) {
            $response = VitalPBXApiUtils::checkEmptySettings();

            if ($response) return $response;

            return $next($request);
        });
    }

    public function index(Request $request)
    {
        return VitalPBXApiUtils::request("devices", TenantUtils::getTenantId($request));
    }

    public function show(Request $request, $id)
    {
        return VitalPBXApiUtils::request("devices/{$id}", TenantUtils::getTenantId($request));
    }
}
