<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Utils\{TenantUtils, VitalPBXApiUtils};
use Illuminate\Http\Request;

class ExtensionController extends Controller
{
    public function index(Request $request)
    {
        return VitalPBXApiUtils::request("extensions", TenantUtils::getTenantId($request));
    }

    public function show(Request $request, $id)
    {
        return VitalPBXApiUtils::request("extensions/{$id}", TenantUtils::getTenantId($request));
    }

    public function devices(Request $request, $id)
    {
        $response = VitalPBXApiUtils::request("extensions/{$id}/devices", TenantUtils::getTenantId($request));
        
        if (! is_array($response) && get_class($response) === "Illuminate\Http\JsonResponse") return $response;
        
        return $response;
    }
}
