<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\IceServerSettingRequest;
use App\Models\AppSetting;

class IceServerSettingController extends Controller
{
    public function __construct()
    {
        $this->middleware(function ($request, $next) {
            $this->authorize('iceServer', AppSetting::class);

            return $next($request);
        });
    }

    public function store(IceServerSettingRequest $request)
    {
        $validatedData = $request->validated();
    
        return AppSetting::updateOrCreate(
            ['type' => 'network', 'key' => 'IceServers'],
            ['value' => $validatedData['iceServers']]
        );
    }
    
    public function show()
    {
        return AppSetting::iceServerSettings()->first();
    }
}
