<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\OdooSettingRequest;
use App\Utils\SettingsUtils;
use Illuminate\Http\Request;

class OdooSettingController extends Controller
{
    public function store(OdooSettingRequest $request)
    {
        $validatedData = $request->validated();
    
        $settings = $this->getOdooSettings();
        
        $envKeys = [
            'username' => 'ODOO_USERNAME',
            'password' => 'ODOO_PASSWORD',
            'database' => 'ODOO_DATABASE',
            'url' => 'ODOO_URL'
        ];
        
        SettingsUtils::updateSettings($validatedData, $settings, $envKeys);

        return response()->json(['message' => __('odoo_settings_updated')]);
    }
    
    public function show()
    {
        return $this->getOdooSettings();
    }
    
    private function getOdooSettings()
    {
        return [
            'username' => config('odoo.username'),
            'password' => config('odoo.password'),
            'database' => config('odoo.database'),
            'url' => config('odoo.url')
        ];
    }
}
