<?php

namespace App\Http\Controllers\Api;

use App\{Models\Role, Models\User};
use App\Http\Controllers\Controller;
use App\Http\Resources\Role as RoleResource;

class UserRoleController extends Controller
{
    public function __invoke()
    {
        $this->authorize('users', User::class);

        return RoleResource::collection(Role::with(['permissions', 'users'])
            ->editable(auth()->user()->load('roles'))
            ->get());
    }
}
