<?php

namespace App\Http\Controllers\Api;

use App\{Models\UserSetting};
use App\Http\Controllers\Controller;
use App\Http\Requests\UserSettings\StoreUserSetting;

class UserSettingController extends Controller
{
    public function __construct()
    {
        $this->middleware(function ($request, $next) {
            $this->authorize('userSettings', UserSetting::class);

            return $next($request);
        });
    }

    public function index()
    {
        return ['data' => UserSetting::where('user_id', auth()->user()->id)->get()];
    }

    public function store(StoreUserSetting $request)
    {
        $user = auth()->user();
        
        foreach($request->validated()['settings'] as $item) {
            $user->settings()->where('key', $item['key'])
                ->where('type', $item['type'])
                ->update(['value' => $item['value']]);
        }
        
        return ['data' => $user->settings];
    }

    public function show($id)
    {
        return ['data' => UserSetting::findOrFail($id)];
    }
}
