<?php

namespace App\Http\Controllers\Api;

use Illuminate\Support\Facades\Hash;
use App\{Models\Role, Models\User};
use App\Http\Controllers\Controller;
use App\Http\Requests\Users\SetupUserRequest;

class UserSetupController extends Controller
{
    public function store(SetupUserRequest $request)
    {
        $user = User::updateOrCreate(
            ['name' => $request->input('name')],
            ['password' => Hash::make($request->input('password')),
             'full_name' => $request->input('full_name'),
             'tenant_id' => 1,
            ]
        );

        $user->roles()->sync(Role::where('name', 'super-admin')->first());
        
        //register app as installed
        file_put_contents('/var/lib/sonata/dialer/wizard.conf', 'installed=yes');

        return $user;
    }
}
